// Завдання
// Реалізувати програму на Javascript, яка знаходитиме всі числа кратні 5 (діляться на 5 без залишку) 
//у заданому діапазоні. 

// Технічні вимоги:
// Отримати за допомогою модального вікна браузера число, яке введе користувач.
// Вивести в консолі всі числа, кратні 5, від 0 до введеного користувачем числа. 
// Якщо таких чисел немає - вивести в консоль фразу "Sorry, no numbers"

// Необов'язкове завдання підвищеної складності
// Перевірити, чи введене значення є цілим числом. Якщо ця умова не дотримується, повторювати виведення вікна на екран, доки не буде введено ціле число.

let num1 = +prompt('Enter your number');
while ((Number.isInteger(num1)=== false) || Number.isNaN(num1)) {
    num1 = +prompt('Enter your number AGAINE' , 'this must be integer number');
}

if(num1 <= 4){
    alert('Sorry, no numbers')
};

for (let i = 5; i <= num1; i++) {
    if (i % 5 === 0) {
        console.log(i);
    }
};

// Отримати два числа, m і n. Вивести в консоль усі прості числа (http://ru.math.wikia.com/wiki/%D0%9F%D1%80%D0%BE%D1%81%D1%82%D0%BE%D0%B5_%D1%87%D0%B8%D1%81%D0%BB%D0%BE) в діапазоні від m до n (менше із введених чисел буде m, більше буде n). Якщо хоча б одне з чисел не відповідає умовам валідації, зазначеним вище, вивести повідомлення про помилку і запитати обидва числа знову.

//Я підглянув рішення на learn.javascript і тут воно вирішене за допомогою мітки, але поскільки ми їх не вчили я підозрюю, що це можливо зробити без мітки, але я нерозібрався як.
//Я зрозумів , як мітка працює, але чи найкраще це рішення?
// Якщо можливо, підкажіть, як це можна зробити. 
let m = 0;
let n = 100;
console.log(`Знайдені прості числа в діапазоні від ${m} до ${n}`);

if (m < 2) {
    m = 2;
    point:
for (let i = m; i <= n; i++){
 for (let j = 2; j < i; j++) {
    if (i%j === 0) { 
       continue point;
    }
 }
    console.log(i);  
    }  

}


